Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.model
Interface CMSObject

All Known Subinterfaces:
  Content, File, Folder

All Known Implementing Classes:
  CMSObjectImpl, ContentImpl, FileImpl, FolderImpl

    public interface CMSObject

Method Summary
`java.lang.String` | `getBasePath()`
`java.lang.String` | `getBaseUUID()`
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`java.util.Date` | `getLastModified()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentUUID()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getVersionPath()`
`java.lang.String` | `getVersionUUID()`
`void` | `setBasePath(java.lang.String path)`
`void` | `setBaseUUID(java.lang.String UUID)`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setDescription(java.lang.String description)`
`void` | `setLastModified(java.util.Date lastModified)`
`void` | `setName(java.lang.String name)`
`void` | `setParentUUID(java.lang.String parentUUID)`
`void` | `setTitle(java.lang.String title)`
`void` | `setVersionPath(java.lang.String VersionPath)`
`void` | `setVersionUUID(java.lang.String VersionUUID)`

Method Detail

### getParentUUID

    java.lang.String getParentUUID()

### setParentUUID

    void setParentUUID(java.lang.String parentUUID)

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getVersionPath

    java.lang.String getVersionPath()

### setVersionPath

    void setVersionPath(java.lang.String VersionPath)

### getVersionUUID

    java.lang.String getVersionUUID()

### setVersionUUID

    void setVersionUUID(java.lang.String VersionUUID)

### getBasePath

    java.lang.String getBasePath()

### setBasePath

    void setBasePath(java.lang.String path)

### getBaseUUID

    java.lang.String getBaseUUID()

### setBaseUUID

    void setBaseUUID(java.lang.String UUID)

### getDescription

    java.lang.String getDescription()

### setDescription

    void setDescription(java.lang.String description)

### getTitle

    java.lang.String getTitle()

### setTitle

    void setTitle(java.lang.String title)

### getCreationDate

    java.util.Date getCreationDate()

### setCreationDate

    void setCreationDate(java.util.Date creationDate)

### getLastModified

    java.util.Date getLastModified()

### setLastModified

    void setLastModified(java.util.Date lastModified)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.